Name:		libvorbis
Version:	1.3.3
Release:	1
Summary:	The Vorbis General Audio Compression Codec.

Group:		System Environment/Libraries
License:	BSD
URL:		http://www.xiph.org/
Vendor:		Xiph.org Foundation <team@xiph.org>
Source0:	http://downloads.xiph.org/releases/vorbis/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	libogg >= 1.1
BuildRequires:	libogg-devel >= 1.1

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed 
and variable bitrates from 16 to 128 kbps/channel.

The library is available as 32-bit and 64-bit.


%package devel
Summary: 	Vorbis Library Development
Group: 		Development/Libraries
Requires:	libogg-devel >= 1.1
Requires:	%{name} = %{version}

%description devel
The libvorbis-devel package contains the header files, static libraries 
and documentation needed to develop applications with libvorbis.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q
%patch0


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}

cp lib/.libs/libvorbis.so.0 .
cp lib/.libs/libvorbisfile.so.3 .
cp lib/.libs/libvorbisenc.so.2 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q lib/.libs/libvorbis.a ./libvorbis.so.0
${AR} -q lib/.libs/libvorbisfile.a ./libvorbisfile.so.3
${AR} -q lib/.libs/libvorbisenc.a ./libvorbisenc.so.2


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ${RPM_BUILD_ROOT}%{_libdir}/libvorbisfile.a ./libvorbisfile.so.3
${AR} -q ${RPM_BUILD_ROOT}%{_libdir}/libvorbisenc.a ./libvorbisenc.so.2

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING README
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%doc doc/*.html
%doc doc/*.png
%doc doc/*.txt
%doc doc/vorbisfile
%doc doc/vorbisenc
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/vorbis.m4
/usr/include/*
/usr/lib/*.la


%changelog
* Tue May 29 2012 Michael Perzl <michael@perzl.org> - 1.3.3-1
- updated to version 1.3.3

* Mon Dec 06 2010 Michael Perzl <michael@perzl.org> - 1.3.2-1
- updated to version 1.3.2

* Thu Apr 08 2010 Michael Perzl <michael@perzl.org> - 1.3.1-1
- updated to version 1.3.1

* Fri Jul 17 2009 Michael Perzl <michael@perzl.org> - 1.2.3-1
- updated to version 1.2.3

* Thu Jan 17 2008 Michael Perzl <michael@perzl.org> - 1.2.0-1
- first version for AIX V5.1 and higher
